Delete a release
DELETE
/releases/{id}Deletes a specific release. Does not delete associated test plans.
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, ReleasesApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new ReleasesApi(config);
const result = await api.deleteRelease({ "id": 123, "project": 123});console.log(result);curl --request DELETE \ "https://api.testcollab.io/releases/123?token=$TESTCOLLAB_TOKEN&project=123"Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id |
path | number | Yes | Release ID |
project |
query | number | Yes | Project ID |
Response
Section titled “Response”200 — Action status details
{}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
401 |
Unauthorized |
403 |
Forbidden |
404 |
Not found |
500 |
Internal server error |